Get Workflows
curl --request GET \
--url https://api.stage.peachdeskai.com/api/v1/workflow/fetch[
{
"id": 123,
"name": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"total_runs": 123,
"folder_id": 123,
"workflow_uuid": "<string>"
}
]Agents
List Agents
Retrieve all agents in your organization
GET
/
api
/
v1
/
workflow
/
fetch
Get Workflows
curl --request GET \
--url https://api.stage.peachdeskai.com/api/v1/workflow/fetch[
{
"id": 123,
"name": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"total_runs": 123,
"folder_id": 123,
"workflow_uuid": "<string>"
}
]Returns all agents (workflows) in your organization, including both active and archived. Each item includes summary fields โ use Get an agent to retrieve the full workflow definition.
Query Parameters
Filter by status - can be single value (active/archived) or comma-separated (active,archived)
โI
